<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="How we used low-budget motion capture technology to produce Death Knight Love Story">
    <meta name="author" content="">
    <link rel="shortcut icon" href="../images/favicon.png">

<style>

#wrap {background-image: url("../backgrounds/mocapbg.jpg") !important; background-repeat: no-repeat; background-size:cover; background-position: center center; background-attachment: fixed}

</style>

    <title>Motion Capture In Death Knight Love Story Movie</title>

<link href="https://fonts.googleapis.com/css?family=Belleza" rel='stylesheet' type='text/css'>
    <!-- Bootstrap core CSS -->
   <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap.min.css">
<link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.0.3/css/bootstrap-theme.min.css">

    <!-- Custom styles for this template -->
    <link href="../css/sticky-footer-navbar.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https:http://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https:http://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>

    <!-- Wrap all page content here -->
    <div id="wrap">

           <!-- Fixed navbar -->
      <div class="navbar navbar-inverse navbar-static-top" role="navigation">
        <div class="container">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a href="../index.html"><img src="../images/logo.jpg"></a>
          </div>
          <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav pull-right">
              <li  id="watch"><a href="../index.html">Watch</a></li>
              <li id="about"><a href="../about/index.html">About The Film</a></li>
	      <li id="behind"><a href="../behind-the-scenes/index.html">How It Was Made</a></li>
              <li id="gallery"><a href="../gallery/index.html">Gallery</a></li>
	      <li id="share"><a href="../share/index.html">Share The Film</a></li>
	      <li id="contact"><a href="../contact/index.html">Contact</a></li>
            </ul>
          </div><!--/.nav-collapse -->
        </div>
      </div>

      <!-- Begin page content -->
      <div class="container"><div class="panel main">
          <div class="page-header"><h1>Low-Budget Motion Capture in Death Knight Love Story</h1></div>

<p>Motion Capture and Performance Capture are familiar to most moviegoers these days. They're used to create characters like Gollum and the Nav'i from Avatar: transferring the human motion of the actors onto 3D characters. 

<p>But motion capture suits are known as an ultra-elite technology, used by hundred million dollar movies. How did it end up being used on a fan-film like Death Knight Love Story?


<h2>The growth of low-budget motion capture</h2>

<p>I (Hugh Hancock, the director of Death Knight Love Story) have been making movies using 3D computer graphics since 1997, when I started developing filmmaking techniques in computer games, which became known as "Machinima". 

<p>In 2007, I released a feature film called "BloodSpell", using Machinima techniques. Whilst I was working on that film, two things became very obvious: one, that the "Machinima" techniques I was using were definitely ready for prime-time, and two, that the limited range of animation which game engines offered us was really holding my filmmaking back. 

<p>A year later, a small company called Optitrack announced the first ever "indie"-priced motion capture suit. I ordered one immediately. 

<p>And thus it was that Death Knight Love Story was born. Initially, DKLS was just meant to be a test project using motion capture. 

<p>Then, I followed the advice of a friend of mine who had managed to get his short film onto the Oscar shortlist, and contacted a famous casting director - and the film's scale totally changed. 

<p>But we still had motion capture to master. 


<h2>Optical Motion Capture</h2>

<p>Optitrack's motion capture system was what is known as an "optical" mocap system: the oldest and best-known version of motion capture, using the famous ping-pong balls attached to a body-covering suit. 

<p>The small balls (actually coated in a very specific and expensive reflective fabric) are placed on each motion capture suit in specific patterns: a triangle on the upper arm, four evenly placed points around the hips, and so on. Then, the motion capture actor walks into the middle of a ring of high-speed cameras, all of which are feeding into a single computer. In theory, at any time at least two of those cameras can see each of the actor's ... erm ... balls. 

<p>One thing you'll learn about being on an optical mocap set for a day: there are a lot of "balls" jokes.

<p>Via some extremely complex and intensive computer vision processing, the computer can then track the position of each set of balls, which it knows correspond to a particular part of the actor's body. Using yet more complex "inverse kinematics" mathematics, the entire system can then take an educated guess at the actor's body position at any given time, and record their movements. Using standard 3D software, we can then take that motion and apply it to any humanoid character. 

<p>And that, in summary, is how most of Death Knight Love Story was created: one or two guys in a ring of cameras, covered in balls. 


<h2>Trials and Tribulations</h2>

<p>Of course, everything did not go entirely smoothly. It took us nearly two weeks from receiving our motion capture system to capturing our first piece of motion - no insult to the system, just that motion capture, particularly optical motion capture, has an enormous learning curve. 

<p>First, we had to learn how to "calibrate" the space for motion capture. In order for an optical system to function, it needs to know how the 2D world of its cameras relates to the 3D world it's trying to capture. To achieve this, we give it a single point and let it track it as the point moves over the full area that we intend to capture. 

<p>Sounds simple, right? Well, in practise, it's a bit less elegant: a process involving a lone mocap ball on a long pole, and one poor mocap technician trying a variety of ungainly things to stay out of the way of the cameras...

<p>Here's a video from the early stages of us learning that particular process: 



<p>In addition, we needed to find a space large enough to capture. Our motion capture system was able to capture, at a push, up to 12 feet square - but it needed cameras spaced at twice that in order to function. Add to that enough space for actors, stands and computers, and motion capture suddenly requires a space of more than 900 square feet. Edinburgh office space is not cheap, so we had to think outside the box! 

<p>Eventually, we ended up striking a deal with a local self-storage warehouse, whose top floor was presently unoccupied. That gave us a cavernous - if rather cold - motion capture studio to use. And that's why "Big Yellow Self-Storage" are in the DKLS Special Thanks list! 

<p>Finally, motion capture suits themselves have certain unique features - from their complete lack of temperature flexibility to their extremely unflattering cut. I ended up writing an article about that over on the <a href="http://www.strangecompany.org/7-terrible-truths-about-motion-capture-suits-part-1/">main Strange Company blog</a>. 


<h2>The Results</h2>

<p>But the results of motion capture were spectacular. For the first time, I wasn't limited by expensive hand animation or canned computer game movements. I could literally make my characters do anything I could describe. 

<p>We captured most of Death Knight Love Story using the Optitrack system, including the fight scenes between Zelieck and the Prisoner and Miria and Zelieck. It handled everything from cannon fire to guards urinating off the side of towers, from action to romance to tension. 

<p>We've moved on to <a href="http://www.strangecompany.org/category/motion-capture-2/">bigger and better things motion-capture wise</a> these days, which will be shown off extensively in Part 2 of Death Knight Love Story (and the final scenes of Part 1). But part of my film-making heart will always belong in a freezing cold warehouse, directing two actors covered in balls. 

<p><a href="../index.html">Watch Death Knight Love Story now »</a>

      </div>
	</div>
</div>

    <div id="footer">
      <div class="container">
<form action="https://guerillashowrunner.us2.list-manage.com/subscribe/post?u=e31bef6d559f73acf2e31c8fc&amp;id=ff5a45ab29" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate class="row">
<div class="col-md-6"><h4>Hear when Death Knight Love Story pt 2 & other films are released:</h4></div>
  <div class="form-group col-md-4">
    <input type="email" value="" name="EMAIL" class="form-control" id="mce-EMAIL" required placeholder="Enter email">
    <div style="position: absolute; left: -5000px;"><input type="text" name="b_e31bef6d559f73acf2e31c8fc_ff5a45ab29" value=""></div>
  </div><div class="col-md-2">
  <button type="submit" name="subscribe" id="mc-embedded-subscribe" class="btn btn-success">Find out »</button></div>
</form>


    <!-- Bootstrap core JavaScript
    ================================================== -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-696676-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="http://www.deathknightlovestory.com/dist/js/bootstrap.min.js"></script>
  </body>
</html>
